{
  "schema_version": "1.4.0",
  "id": "GHSA-7v4x-624r-2m39",
  "modified": "2022-05-13T01:12:14Z",
  "published": "2022-05-13T01:12:14Z",
  "aliases": [
    "CVE-2017-17081"
  ],
  "details": "The gmc_mmx function in libavcodec/x86/mpegvideodsp.c in FFmpeg 2.3 and 3.4 does not properly validate widths and heights, which allows remote attackers to cause a denial of service (integer signedness error and out-of-array read) via a crafted MPEG file.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-17081"
    },
    {
      "type": "WEB",
      "url": "https://github.com/FFmpeg/FFmpeg/commit/27f8d386829689c346ff0cef00d3af57b9fb8903"
    },
    {
      "type": "WEB",
      "url": "https://github.com/FFmpeg/FFmpeg/commit/58cf31cee7a456057f337b3102a03206d833d5e8"
    },
    {
      "type": "WEB",
      "url": "https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=3516#c1"
    },
    {
      "type": "WEB",
      "url": "https://lists.ffmpeg.org/pipermail/ffmpeg-devel/2017-November/219748.html"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2018/dsa-4099"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-125"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-11-30T21:29:00Z"
  }
}